API Reference

Create daily custody balance report

posthttps://api-sandbox.circle.com/v2/reserveManagement/dailyCustodyBalances

  • Reference
  • Playground

Creates a daily custody balance report for USDC and EURC and sends it to Circle.

Note: Only one report is allowed per day per currency.

Body parameters
additionalFields
object
Required

Additional fields are required only for the eea report type. They are ignored for the japan_trust report type.

equivalentEuroLocalBalance
number
Required

EUR equivalent of the localBalance field.

totalBalance
number
Required

Tokens held by the EU licensed crypto-asset service provider

equivalentEuroTotalBalance
number
Required

EUR equivalent of the total worldwide token balance.

reportType
string
Required

The type of report being created.

Allowed valueseeajapan_trust
asOfDate
string
Required

The day being reported in the format YYYY-MM-DD with timezone UTC.

localBalance
number
Required

Regional specific balance for the provided token type.

eea - tokens held by the EU licensed crypto-asset service provider, which are held by Union clients of that EU licensed crypto-asset service provider.

japan_trust - total amount held in custody on behalf of customers of the EPIESP.

currency
string
Required

The type of token being reported.

Allowed valuesUSDCEURC
idempotencyKey
string
Required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Response
RequestChoose a language
ResponseChoose an example
1{
2  "data": {
3    "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
4    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
5    "createDate": "2025-07-15T18:03:52.429Z",
6    "localBalance": 1000000,
7    "currency": "USDC",
8    "asOfDate": "2025-06-26",
9    "reportType": "eea",
10    "additionalFields": {
11      "equivalentEuroLocalBalance": 26994.6,
12      "totalBalance": 5000000,
13      "equivalentEuroTotalBalance": 853949.09
14    }
15  }
16}
Did this page help you?
© 2023-2026 Circle Technology Services, LLC. All rights reserved.